import { client } from '$lib/sanity/client.js'

export async function load({ params }) {
  const data = await client.fetch(`*[_type == "post"] {
    title,
    slug,
    coverImage {
      ...,
      asset->
    },
    body,
  }`);

  if (data) {
    return {
      posts: data
    };
  }
  return {
    status: 500,
    body: new Error("Internal Server Error")
  };
}